# Install Elasticsearch in Windows

## Download

```
page : https://www.elastic.co/guide/en/elasticsearch/reference/7.17/zip-windows.html
link : https://www.elastic.co/downloads/elasticsearch
```

## Install
```
    cd \elasticsearch-8.8.2  --> Download location
    .\bin\elasticsearch.bat ---> Database initialization


    Do not close cmd to use the database
```

## Usage
    You need an IDE to use Elasticsearch
    There are various IDEs, one of which is Kibana

Installing Kibana on Windows is a lot of trouble, so my suggestion is to use the Elasticsearch for VSCode plugin in VSCode<br>
To install this plugin, open VSCode and enter the plugins tab Then search for Elasticsearch for VSCode<br>
I use version 0.13.31<br>
Now create a file with .es extension and write your request codes there<br>
```
example:  
PUT /firstindex
```
Now click on the run button, if it asks you for an address, enter localhost/9200<br>

FINISH!
